% Generate basic stimuli for the pitch test

% sampling frequency: 44.1 kHz
% tone duration:  0.6 s
% fade-in and fade-out transition durations: 30 ms each
clear all; close all; clc
addpath('.\common_sounds');
fs=44100;
t=0:1/fs:0.66; t=t(:);
hw=hanning(round(.06*fs));
lhw=length(hw);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];

% 440 Hz pure tone (reference W)
f0=440;
s440=0.5*sin(2*pi*f0*t);
W=s440.*wind;
%p_s440=var(s440w);

S4=sqrt(10^(4/10))*W;
S2p5=sqrt(10^(2.5/10))*W;
S2=sqrt(10^(2/10))*W;
S1p5=sqrt(10^(1.5/10))*W;
S1=sqrt(10^(1/10))*W;
S0p5=sqrt(10^(0.5/10))*W;

[one]=wavread('one');
[two]=wavread('two');
[three]=wavread('three');
[four]=wavread('four');
[five]=wavread('five');
[six]=wavread('six');
[seven]=wavread('seven');
[eight]=wavread('eight');
[nine]=wavread('nine');
[ten]=wavread('ten');

% 0.35 s mute
ms=zeros(round(.35*fs),1);
% 2 s mute
ml=zeros(round(2*fs),1);
% 1 s mute
ml2=zeros(round(1*fs),1);

% column A (10 stimuli)

ca_loud=[ml;one;ml2;...
    S4;ms;W;ml;two;ml2;...
    W;ms;S4;ml;three;ml2;...
    S4;ms;W;ml;four;ml2;...
    W;ms;S4;ml;five;ml2;...
    W;ms;S4;ml;six;ml2;...
    W;ms;S2p5;ml;seven;ml2;...
    S2p5;ms;W;ml;eight;ml2;...
    S2p5;ms;W;ml;nine;ml2;...
    S2p5;ms;W;ml;ten;ml2;...
    W;ms;S2p5;ml];
intro=wavread('ca_intro_loud_new');
wavwrite([intro; ca_loud],fs,16,'ca_loudness');

% column B (10 stimuli)

cb_loud=[ml;one;ml2;...
    W;ms;S2;ml;two;ml2;...
    W;ms;S2;ml;three;ml2;...
    S2;ms;W;ml;four;ml2;...
    S2;ms;W;ml;five;ml2;...
    W;ms;S2;ml;six;ml2;...
    S2;ms;W;ml;seven;ml2;...
    W;ms;S2;ml;eight;ml2;...
    W;ms;S2;ml;nine;ml2;...
    W;ms;S2;ml;ten;ml2;...
    S2;ms;W;ml];
intro=wavread('cb_intro_new');
wavwrite([intro; cb_loud],fs,16,'cb_loudness');

% column C (10 stimuli)

cc_loud=[ml;one;ml2;...
    W;ms;S1p5;ml;two;ml2;...
    W;ms;S1p5;ml;three;ml2;...
    S1p5;ms;W;ml;four;ml2;...
    S1p5;ms;W;ml;five;ml2;...
    S1p5;ms;W;ml;six;ml2;...
    W;ms;S1p5;ml;seven;ml2;...
    W;ms;S1p5;ml;eight;ml2;...
    W;ms;S1p5;ml;nine;ml2;...
    S1p5;ms;W;ml;ten;ml2;...
    S1p5;ms;W;ml];
intro=wavread('cc_intro_new');
wavwrite([intro; cc_loud],fs,16,'cc_loudness');

% column D (10 stimuli)

cd_loud=[ml;one;ml2;...
    S1;ms;W;ml;two;ml2;...
    W;ms;S1;ml;three;ml2;...
    W;ms;S1;ml;four;ml2;...
    S1;ms;W;ml;five;ml2;...
    S1;ms;W;ml;six;ml2;...
    S1;ms;W;ml;seven;ml2;...
    W;ms;S1;ml;eight;ml2;...
    S1;ms;W;ml;nine;ml2;...
    W;ms;S1;ml;ten;ml2;...
    W;ms;S1;ml];
intro=wavread('cd_intro_new');
wavwrite([intro; cd_loud],fs,16,'cd_loudness');

% column E (10 stimuli)

ce_loud=[ml;one;ml2;...
    W;ms;S0p5;ml;two;ml2;...
    S0p5;ms;W;ml;three;ml2;...
    W;ms;S0p5;ml;four;ml2;...
    W;ms;S0p5;ml;five;ml2;...
    S0p5;ms;W;ml;six;ml2;...
    W;ms;S0p5;ml;seven;ml2;...
    S0p5;ms;W;ml;eight;ml2;...
    S0p5;ms;W;ml;nine;ml2;...
    W;ms;S0p5;ml;ten;ml2;...
    W;ms;S0p5;ml];
intro=wavread('ce_intro_new');
wavwrite([intro; ce_loud],fs,16,'ce_loudness');


