% Generate basic stimuli for the pitch test

% sampling frequency: 44.1 kHz
% tone duration:  0.6 s
% fade-in and fade-out transition durations: 30 ms each
addpath('.\common_sounds');
fs=44100;
t=0:1/fs:0.66; t=t(:);
hw=hanning(round(.06*fs));
lhw=length(hw);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];

% 500 Hz pure tone
f0=500;
s500=0.7*sin(2*pi*f0*t);
s500=s500.*wind;

% 517 Hz pure tone
f0=517;
s517=0.7*sin(2*pi*f0*t);
s517=s517.*wind;

% 512 Hz pure tone
f0=512;
s512=0.7*sin(2*pi*f0*t);
s512=s512.*wind;

% 508 Hz pure tone
f0=508;
s508=0.7*sin(2*pi*f0*t);
s508=s508.*wind;

% 505 Hz pure tone
f0=505;
s505=0.7*sin(2*pi*f0*t);
s505=s505.*wind;

% 504 Hz pure tone
f0=504;
s504=0.7*sin(2*pi*f0*t);
s504=s504.*wind;

% 503 Hz pure tone
f0=503;
s503=0.7*sin(2*pi*f0*t);
s503=s503.*wind;

% 502 Hz pure tone
f0=502;
s502=0.7*sin(2*pi*f0*t);
s502=s502.*wind;

[one]=wavread('one');
[two]=wavread('two');
[three]=wavread('three');
[four]=wavread('four');
[five]=wavread('five');
[six]=wavread('six');
[seven]=wavread('seven');
[eight]=wavread('eight');
[nine]=wavread('nine');
[ten]=wavread('ten');

% 0.35 s mute
ms=zeros(round(.35*fs),1);
% 2 s mute
ml=zeros(round(2*fs),1);
% 1 s mute
ml2=zeros(round(1*fs),1);



% column A (10 stimuli)

ca_pitch=[ml;one;ml2;...
    s500;ms;s517;ml;two;ml2;...
    s500;ms;s517;ml;three;ml2;...
    s517;ms;s500;ml;four;ml2;...
    s500;ms;s517;ml;five;ml2;...
    s517;ms;s500;ml;six;ml2;...
    s512;ms;s500;ml;seven;ml2;...
    s500;ms;s512;ml;eight; ml2;...
    s500;ms;s512;ml;nine;ml2;...
    s512;ms;s500;ml;ten;ml2;...
    s512;ms;s500;ml];
intro=wavread('ca_intro_pitch_new');
wavwrite([intro; ca_pitch],fs,16,'ca_pitch');

cb_pitch=[ml;one;ml2;...
    s500;ms;s512;ml;two;ml2;...
    s512;ms;s500;ml;three;ml2;...
    s508;ms;s500;ml;four;ml2;...
    s508;ms;s500;ml;five;ml2;...
    s500;ms;s508;ml;six;ml2;...
    s500;ms;s508;ml;seven;ml2;...
    s508;ms;s500;ml;eight; ml2;...
    s508;ms;s500;ml;nine; ml2;...
    s512;ms;s500;ml;ten;ml2;...
    s500;ms;s508;ml];
intro=wavread('cb_intro_new');
wavwrite([intro; cb_pitch],fs,16,'cb_pitch');
cc_pitch=[ml;one;ml2;...
    s508;ms;s500;ml;two;ml2;...
    s500;ms;s508;ml;three;ml2;...
    s505;ms;s500;ml;four;ml2;...
    s505;ms;s500;ml;five;ml2;...
    s505;ms;s500;ml;six;ml2;...
    s500;ms;s505;ml;seven;ml2;...
    s500;ms;s505;ml;eight;ml2;...
    s505;ms;s500;ml;nine;ml2;...
    s505;ms;s500;ml;ten;ml2;...
    s505;ms;s500;ml];
intro=wavread('cc_intro_new');
wavwrite([intro; cc_pitch],fs,16,'cc_pitch');
cd_pitch=[ml;one;ml2;...
    s500;ms;s505;ml;two;ml2;...
    s500;ms;s505;ml;three;ml2;...
    s504;ms;s500;ml;four;ml2;...
    s504;ms;s500;ml;five;ml2;...
    s500;ms;s504;ml;six;ml2;...
    s504;ms;s500;ml;seven;ml2;...
    s504;ms;s500;ml;eight;ml2;...
    s500;ms;s504;ml;nine;ml2;...
    s504;ms;s500;ml;ten;ml2;...
    s500;ms;s504;ml];
intro=wavread('cd_intro_new');
wavwrite([intro; cd_pitch],fs,16,'cd_pitch');
ce_pitch=[ml;one;ml2;...
    s503;ms;s500;ml;two;ml2;...
    s500;ms;s503;ml;three;ml2;...
    s500;ms;s503;ml;four;ml2;...
    s503;ms;s500;ml;five;ml2;...
    s500;ms;s503;ml;six;ml2;...
    s500;ms;s502;ml;seven;ml2;...
    s502;ms;s500;ml;eight;ml2;...
    s500;ms;s502;ml;nine;ml2;...
    s502;ms;s500;ml;ten;ml2;...
    s500;ms;s502;ml];
intro=wavread('ce_intro_new');
wavwrite([intro; ce_pitch],fs,16,'ce_pitch');
    

    
    

