clc; clear all; close all
addpath('.\common_sounds');
[B,fs]=wavread('500Hz_bip');  % bip tone

[one]=wavread('one');
[two]=wavread('two');
[three]=wavread('three');
[four]=wavread('four');
[five]=wavread('five');
[six]=wavread('six');
[seven]=wavread('seven');
[eight]=wavread('eight');
[nine]=wavread('nine');
[ten]=wavread('ten');

% 1.3 s mute 
ms=zeros(round(1.3*fs),1);
% 2.6 s mute
ml=zeros(round(2*fs),1);
% 1 s mute
ml2=zeros(round(1*fs),1);

I=zeros(round(.190*fs),1);
IS=zeros(round(.050*fs),1);
IL=zeros(round(.320*fs),1);
ISL=zeros(round(.470*fs),1);


% column A (10 stimuli)

ca_rhythm=[ml;one;ml2;...
    B;IL;B;IS;B;I;B;I;B;...
    ms;B;IL;B;IS;B;I;B;I;B;ml;two;ml2;...
    B;I;B;I;B;IL;B;IS;B;...
    ms;B;IS;B;I;B;IL;B;I;B;ml;three;ml2;...
    B;IS;B;IL;B;I;B;I;B;...
    ms;B;IS;B;IL;B;I;B;I;B;ml;four;ml2;...
    B;IS;B;I;B;IL;B;I;B;...
    ms;B;I;B;I;B;IL;B;IS;B;ml;five;ml2;...
    B;I;B;I;B;IS;B;IL;B;...
    ms;B;I;B;I;B;IS;B;IL;B;ml;six;ml2;...
    B;IL;B;I;B;I;B;IS;B;...
    ms;B;IS;B;I;B;I;B;IL;B;ml;seven;ml2;...
    B;I;B;IS;B;IL;B;I;B;...
    ms;B;I;B;IS;B;IL;B;I;B;ml;eight;ml2;...
    B;IS;B;IL;B;I;B;I;B;...
    ms;B;I;B;IS;B;IL;B;I;B;ml;nine;ml2;...
    B;IL;B;I;B;IS;B;I;B;...
    ms;B;I;B;IL;B;I;B;IS;B;ml;ten;ml2;...
    B;IL;B;IS;B;I;B;I;B;...
    ms;B;IL;B;IS;B;I;B;I;B;ml];
intro=wavread('ca_intro_rhythm_new');
wavwrite([intro; ca_rhythm],fs,16,'ca_rhythm');



% column B (10 stimuli)

cb_rhythm=[ml;one;ml2;...
    B;ISL;B;IL;B;IS;B;I;B;I;B;ms;...
    B;ISL;B;IL;B;IS;B;I;B;I;B;...
    ml;two;ml2;...
    B;I;B;I;B;ISL;B;IL;B;IS;B;ms;...
    B;IS;B;IL;B;ISL;B;I;B;I;B;...
    ml;three;ml2;...
    B;IL;B;IS;B;I;B;I;B;ISL;B;ms;...
    B;IL;B;IS;B;I;B;I;B;ISL;B;...
    ml;four;ml2;...
    B;ISL;B;IS;B;IL;B;I;B;I;B;ms;...
    B;I;B;I;B;IL;B;IS;B;ISL;B;...
    ml;five;ml2;...
    B;IS;B;IL;B;I;B;I;B;ISL;B;ms;...
    B;ISL;B;I;B;I;B;IL;B;IS;B;...
    ml;six;ml2;...
    B;I;B;I;B;ISL;B;IS;B;IL;B;ms;...
    B;IL;B;IS;B;ISL;B;I;B;I;B;...
    ml;seven;ml2;...
    B;ISL;B;I;B;I;B;IL;B;IS;B;ms;...
    B;ISL;B;I;B;I;B;IL;B;IS;B;...
    ml;eight;ml2;...
    B;IL;B;IS;B;ISL;B;I;B;I;B;ms;...
    B;I;B;I;B;ISL;B;IS;B;IL;B;...
    ml;nine;ml2;...
    B;IS;B;IL;B;I;B;ISL;B;I;B;ms;...
    B;IS;B;IL;B;I;B;ISL;B;I;B;...
    ml;ten;ml2;...
    B;I;B;I;B;IS;B;ISL;B;IL;B;ms;...
    B;I;B;I;B;IS;B;ISL;B;IL;B;...
    ml];
intro=wavread('cb_intro_new');
wavwrite([intro; cb_rhythm],fs,16,'cb_rhythm');


% column C (10 stimuli)

cc_rhythm=[ml;one;ml2;...
    B;ISL;B;ISL;B;I;B;I;B;IL;B;IS;B;ms;...
    B;IS;B;ISL;B;I;B;I;B;IL;B;ISL;B;...
    ml;two;ml2;...
    B;I;B;I;B;ISL;B;IL;B;IS;B;ISL;B;ms;...
    B;I;B;I;B;ISL;B;IL;B;IS;B;ISL;B;...
    ml;three;ml2;...
    B;IL;B;IS;B;ISL;B;I;B;I;B;ISL;B;ms;...
    B;IL;B;IS;B;ISL;B;I;B;I;B;ISL;B;...
    ml;four;ml2;...
    B;ISL;B;I;B;I;B;ISL;B;IS;B;IL;B;ms;...
    B;ISL;B;ISL;B;I;B;I;B;IS;B;IL;B;...
    ml;five;ml2;...
    B;I;B;ISL;B;I;B;IL;B;ISL;B;IS;B;ms;...
    B;I;B;ISL;B;I;B;IL;B;ISL;B;IS;B;...
    ml;six;ml2;...
    B;I;B;I;B;IL;B;IS;B;ISL;B;ISL;B;ms;...
    B;I;B;I;B;IL;B;ISL;B;ISL;B;IS;B;...
    ml;seven;ml2;...
    B;ISL;B;IL;B;IS;B;ISL;B;I;B;I;B;ms;...
    B;ISL;B;IL;B;IS;B;ISL;B;I;B;I;B;...
    ml;eight;ml2;...
    B;IL;B;IS;B;ISL;B;I;B;I;B;ISL;B;ms;...
    B;IL;B;ISL;B;ISL;B;I;B;I;B;IS;B;...
    ml;nine;ml2;...
    B;ISL;B;IS;B;IL;B;I;B;ISL;B;I;B;ms;...
    B;ISL;B;IS;B;IL;B;ISL;B;I;B;I;B;...
    ml;ten;ml2;...
    B;IS;B;ISL;B;I;B;ISL;B;I;B;IL;B;ms;...
    B;IS;B;ISL;B;I;B;ISL;B;I;B;IL;B;...
    ml];
intro=wavread('cc_intro_new');
wavwrite([intro; cc_rhythm],fs,16,'cc_rhythm');


