% Generate basic stimuli for the pitch test

% sampling frequency: 44.1 kHz
% tone duration:  0.6 s
% fade-in and fade-out transition durations: 240 ms each
clear all; close all; clc
addpath('.\common_sounds');
fs=44100;
t=0:1/fs:1.25; t=t(:);
hw=hanning(round(.48*fs));
lhw=length(hw);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];


% 187.45 Hz harmonic tone 5 overtones(reference R)
% fundamental: 71 db
% first harm: 65 dB
% second harm: 66.4 dB
% third harm: 52 dB
% fourth harm: 47.5 dB
% fifth harm: 46 dB
% The above values have been measured.

f0=187.45; 
R=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-6/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-19/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-23/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-25/10))*0.5*sin(2*pi*6*f0*t);
R=R.*wind;

AA=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-6/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-9.6/10))*sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(10/10))*sqrt(10^(-19/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-23/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-25/10))*0.5*sin(2*pi*6*f0*t);
AA=AA.*wind;

AB=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-6/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-4/10))*sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(8/10))*sqrt(10^(-19/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-23/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-25/10))*0.5*sin(2*pi*6*f0*t);
AB=AB.*wind;



AC=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-6/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-2.4/10))*sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(7/10))*sqrt(10^(-19/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-23/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-25/10))*0.5*sin(2*pi*6*f0*t);
AC=AC.*wind;

AD=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-6/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-1.2/10))*sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(5.5/10))*sqrt(10^(-19/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-23/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-25/10))*0.5*sin(2*pi*6*f0*t);
AD=AD.*wind;

AE=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-6/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-0.7/10))*sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(4/10))*sqrt(10^(-19/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-23/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-25/10))*0.5*sin(2*pi*6*f0*t);
AE=AE.*wind;




% s1=sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t);
% s2=sqrt(10^(-9.6/10))*sqrt(10^(-4.6/10))*0.5*sin(2*pi*3*f0*t);
% 10*log10(var(s2)/var(s1))


[one]=wavread('one');
[two]=wavread('two');
[three]=wavread('three');
[four]=wavread('four');
[five]=wavread('five');
[six]=wavread('six');
[seven]=wavread('seven');
[eight]=wavread('eight');
[nine]=wavread('nine');
[ten]=wavread('ten');

% 0.10 s mute
ms=zeros(round(.10*fs),1);
% 2 s mute
ml=zeros(round(2*fs),1);
% 1 s mute
ml2=zeros(round(1*fs),1);

% column A (10 stimuli)

ca_timbre=[ml;one;ml2;...
    AA;ms;AA;ml;two;ml2;...
    AA;ms;R;ml;three;ml2;...
    R;ms;R;ml;four;ml2;...
    R;ms;AA;ml;five;ml2;...
    AA;ms;R;ml;six;ml2;...
    AA;ms;AA;ml;seven;ml2;...
    R;ms;R;ml;eight;ml2;...
    R;ms;AA;ml;nine;ml2;...
    AA;ms;R;ml;ten;ml2;...
    R;ms;R;ml];
intro=wavread('ca_intro_timbre_new');
wavwrite([intro; ca_timbre],fs,16,'ca_timbre');

% column B (10 stimuli)


cb_timbre=[ml;one;ml2;...
    R;ms;AB;ml;two;ml2;...
    R;ms;R;ml;three;ml2;...
    AB;ms;AB;ml;four;ml2;...
    R;ms;AB;ml;five;ml2;...
    R;ms;R;ml;six;ml2;...
    AB;ms;R;ml;seven;ml2;...
    R;ms;AB;ml;eight;ml2;...
    AB;ms;AB;ml;nine;ml2;...
    AB;ms;R;ml;ten;ml2;...
    AB;ms;AB;ml];
intro=wavread('cb_intro_new');
wavwrite([intro; cb_timbre],fs,16,'cb_timbre');

cc_timbre=[ml;one;ml2;...
    R;ms;R;ml;two;ml2;...
    R;ms;AC;ml;three;ml2;...
    AC;ms;R;ml;four;ml2;...
    AC;ms;AC;ml;five;ml2;...
    R;ms;AC;ml;six;ml2;...
    AC;ms;AC;ml;seven;ml2;...
    R;ms;R;ml;eight;ml2;...
    AC;ms;R;ml;nine;ml2;...
    R;ms;R;ml;ten;ml2;...
    AC;ms;R;ml];
intro=wavread('cc_intro_new');
wavwrite([intro; cc_timbre],fs,16,'cc_timbre');

cd_timbre=[ml;one;ml2;...
    AD;ms;R;ml;two;ml2;...
    R;ms;AD;ml;three;ml2;...
    AD;ms;R;ml;four;ml2;...
    AD;ms;AD;ml;five;ml2;...
    R;ms;R;ml;six;ml2;...
    R;ms;AD;ml;seven;ml2;...
    AD;ms;AD;ml;eight;ml2;...
    R;ms;R;ml;nine;ml2;...
    AD;ms;AD;ml;ten;ml2;...
    R;ms;AD;ml];
intro=wavread('cd_intro_new');
wavwrite([intro; cd_timbre],fs,16,'cd_timbre');

ce_timbre=[ml;one;ml2;...
    AE;ms;AE;ml;two;ml2;...
    R;ms;R;ml;three;ml2;...
    R;ms;AE;ml;four;ml2;...
    AE;ms;R;ml;five;ml2;...
    R;ms;AE;ml;six;ml2;...
    AE;ms;AE;ml;seven;ml2;...
    R;ms;R;ml;eight;ml2;...
    R;ms;R;ml;nine;ml2;...
    AE;ms;R;ml;ten;ml2;...
    R;ms;AE;ml];
intro=wavread('ce_intro_new');
wavwrite([intro; ce_timbre],fs,16,'ce_timbre');


