% Generate basic stimuli for the TIME test

% sampling frequency: 44.1 kHz
% tone duration:  0.7 s (reference)
% fade-in and fade-out transition durations: 5 ms each
clear all; close all; clc
addpath('.\common_sounds');
fs=44100;
t=0:1/fs:0.71; t=t(:);
hw=hanning(round(.01002*fs));
lhw=length(hw);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];

% 440 Hz pure tone (reference W)
f0=440;
s440=0.7*sin(2*pi*f0*t);
L=s440.*wind;

% 300 ms shorter

t=0:1/fs:(0.71-.3); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S300=0.7*sin(2*pi*f0*t);
S300=S300.*wind;

% 200 ms shorter

t=0:1/fs:(0.71-.2); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S200=0.7*sin(2*pi*f0*t);
S200=S200.*wind;

% 150 ms shorter

t=0:1/fs:(0.71-.15); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S150=0.7*sin(2*pi*f0*t);
S150=S150.*wind;

% 125 ms shorter

t=0:1/fs:(0.71-.125); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S125=0.7*sin(2*pi*f0*t);
S125=S125.*wind;

% 100 ms shorter

t=0:1/fs:(0.71-.100); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S100=0.7*sin(2*pi*f0*t);
S100=S100.*wind;

% 75 ms shorter

t=0:1/fs:(0.71-.075); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S075=0.7*sin(2*pi*f0*t);
S075=S075.*wind;

% 50 ms shorter

t=0:1/fs:(0.71-.050); t=t(:);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];
S050=0.7*sin(2*pi*f0*t);
S050=S050.*wind;

[one]=wavread('one');
[two]=wavread('two');
[three]=wavread('three');
[four]=wavread('four');
[five]=wavread('five');
[six]=wavread('six');
[seven]=wavread('seven');
[eight]=wavread('eight');
[nine]=wavread('nine');
[ten]=wavread('ten');

% 0.35 s mute
ms=zeros(round(.35*fs),1);
% 2 s mute
ml=zeros(round(2*fs),1);
% 1 s mute
ml2=zeros(round(1*fs),1);
% column A (10 stimuli)

ca_time=[ml;one;ml2;...
    S300;ms;L;ml;two;ml2;...
    L;ms;S300;ml;three;ml2;...
    S300;ms;L;ml;four;ml2;...
    L;ms;S300;ml;five;ml2;...
    L;ms;S300;ml;six;ml2;...
    L;ms;S200;ml;seven;ml2;...
    S200;ms;L;ml;eight;ml2;...
    S200;ms;L;ml;nine;ml2;...
    L;ms;S200;ml;ten;ml2;...
    L;ms;S200;ml];
intro=wavread('ca_intro_time_new');
wavwrite([intro; ca_time],fs,16,'ca_time');

% column B (10 stimuli)

cb_time=[ml;one;ml2;...
    S150;ms;L;ml;two;ml2;...
    L;ms;S150;ml;three;ml2;...
    S150;ms;L;ml;four;ml2;...
    S150;ms;L;ml;five;ml2;...
    S150;ms;L;ml;six;ml2;...
    L;ms;S150;ml;seven;ml2;...
    S150;ms;L;ml;eight;ml2;...
    S150;ms;L;ml;nine;ml2;...
    L;ms;S150;ml;ten;ml2;...
    L;ms;S150;ml];
intro=wavread('cb_intro_new');
wavwrite([intro; cb_time],fs,16,'cb_time');

% column C(10 stimuli)

cc_time=[ml;one;ml2;...
    S125;ms;L;ml;two;ml2;...
    L;ms;S125;ml;three;ml2;...
    L;ms;S125;ml;four;ml2;...
    S125;ms;L;ml;five;ml2;...
    S125;ms;L;ml;six;ml2;...
    L;ms;S125;ml;seven;ml2;...
    L;ms;S125;ml;eight;ml2;...
    S150;ms;L;ml;nine;ml2;...
    L;ms;S125;ml;ten;ml2;...
    S125;ms;L;ml];
intro=wavread('cc_intro_new');
wavwrite([intro; cc_time],fs,16,'cc_time');

% column D (10 stimuli)

cd_time=[ml;one;ml2;...
    L;ms;S100;ml;two;ml2;...
    S100;ms;L;ml;three;ml2;...
    L;ms;S100;ml;four;ml2;...
    L;ms;S100;ml;five;ml2;...
    S100;ms;L;ml;six;ml2;...
    S100;ms;L;ml;seven;ml2;...
    S100;ms;L;ml;eight;ml2;...
    L;ms;S100;ml;nine;ml2;...
    S100;ms;L;ml;ten;ml2;...
    S100;ms;L;ml];
intro=wavread('cd_intro_new');
wavwrite([intro; cd_time],fs,16,'cd_time');

% column E (10 stimuli)

ce_time=[ml;one;ml2;...
    S075;ms;L;ml;two;ml2;...
    L;ms;S075;ml;three;ml2;...
    L;ms;S075;ml;four;ml2;...
    S075;ms;L;ml;five;ml2;...
    S075;ms;L;ml;six;ml2;...   
    L;ms;S050;ml;seven;ml2;...   
    L;ms;S050;ml;eight;ml2;...
    L;ms;S050;ml;nine;ml2;...
    S050;ms;L;ml;ten;ml2;...
    S050;ms;L;ml];
intro=wavread('ce_intro_new');
wavwrite([intro; ce_time],fs,16,'ce_time');



