% Generate basic stimuli for the tonal memory test

% sampling frequency: 44.1 kHz
% tone duration:  0.6 s
% fade-in and fade-out transition durations: 30 ms each
clear all; close all; clc
addpath('.\common_sounds');
fs=44100;
t=0:1/fs:(0.6+2*0.03); t=t(:);
hw=hanning(round(.06*fs));
lhw=length(hw);
wind=[hw(1:lhw/2);ones(length(t)-lhw,1);hw(lhw/2+1:end)];

%lhw2=lhw/2;
Ls=length(wind);
Lo=lhw/2;

% 187.45 Hz harmonic tone 5 overtones(reference R)
% fundamental: 71 db
% first harm: 65 dB
% second harm: 66.4 dB
% third harm: 52 dB
% fourth harm: 47.5 dB
% fifth harm: 46 dB
% The above values have been measured.

f0=622.25; 
Eb5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Eb5=Eb5.*wind;

f0=440; 
A4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
A4=A4.*wind;


f0=349.23; 
F4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
F4=F4.*wind;


f0=392; 
G4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
G4=G4.*wind;

f0=415.30; 
Gs4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Gs4=Gs4.*wind;

f0=523.25; 
C5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
C5=C5.*wind;

f0=587.33; 
D5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
D5=D5.*wind;

f0=659.26; 
E5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
E5=E5.*wind;

f0=466.16; 
Bb4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Bb4=Bb4.*wind;

f0=698.46; 
F5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
F5=F5.*wind;

f0=493.88; 
B4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
B4=B4.*wind;

f0=329.63; 
E4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
E4=E4.*wind;

f0=369.99; 
Fs4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Fs4=Fs4.*wind;

f0=277.18; 
Cs4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Cs4=Cs4.*wind;

f0=293.66; 
D4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
D4=D4.*wind;

f0=554.37; 
Cs5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Cs5=Cs5.*wind;

f0=311.13; 
Eb4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Eb4=Eb4.*wind;

f0=830.61; 
Gs5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Gs5=Gs5.*wind;

f0=261.63; 
C4=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
C4=C4.*wind;

f0=739.99; 
Fs5=0.5*sin(2*pi*f0*t)+...
    sqrt(10^(-8/10))*0.5*sin(2*pi*2*f0*t)+...
    sqrt(10^(-20/10))*0.5*sin(2*pi*3*f0*t)+...
    sqrt(10^(-40/10))*0.5*sin(2*pi*4*f0*t)+...
    sqrt(10^(-55/10))*0.5*sin(2*pi*5*f0*t)+...
    sqrt(10^(-65/10))*0.5*sin(2*pi*6*f0*t);
Fs5=Fs5.*wind;

% 0.60 s mute
ms=zeros(round(.60*fs),1);
% 2 s mute
ml=zeros(round(2*fs),1);
% 1 s mute
ml2=zeros(round(1*fs),1);

[one]=wavread('one');
[two]=wavread('two');
[three]=wavread('three');
[four]=wavread('four');
[five]=wavread('five');
[six]=wavread('six');
[seven]=wavread('seven');
[eight]=wavread('eight');
[nine]=wavread('nine');
[ten]=wavread('ten');

% column A (10 stimuli)
rg1=1:(Ls-Lo);
rg2=(Ls-Lo+1):Ls;
rg3=1:Lo;
rg4=(Lo+1):(Ls-Lo);
rg5=(Lo+1):Ls;

ca_tonal_memory=[...    
    % 1A
    %ml;Eb5(rg1);Eb5(rg2)+...
    ml;one;ml2;Eb5(rg1);Eb5(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    F4(rg3);F4(rg5)...;
    % 1B
    ms;Eb5(rg1);Eb5(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    G4(rg3);G4(rg5);...
    % 2A
    ml;two;ml2;G4(rg1);G4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    C5(rg3);C5(rg5)...;
    % 2B
    ms;G4(rg1);G4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    D5(rg3);D5(rg5);...
    % 3A
    ml;three;ml2;Gs4(rg1);Gs4(rg2)+...
    D5(rg3);D5(rg4);D5(rg2)+...
    Bb4(rg3);Bb4(rg5)...;
    % 3B
    ms;Gs4(rg1);Gs4(rg2)+...
    E5(rg3);E5(rg4);E5(rg2)+...
    Bb4(rg3);Bb4(rg5);...
    % 4A
    ml;four;ml2;F5(rg1);F5(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    E4(rg3);E4(rg5)...;
    % 4B
    ms;F5(rg1);F5(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    D4(rg3);D4(rg5)...;
    % 5A
    ml;five;ml2;E5(rg1);E5(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    Bb4(rg3);Bb4(rg5)...;
    % 5B
    ms;E5(rg1);E5(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    C5(rg3);C5(rg5)...;
    % 6A
    ml;six;ml2;Eb4(rg1);Eb4(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    Fs4(rg3);Fs4(rg5)...;
    % 6B
    ms;Cs4(rg1);Cs4(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    Fs4(rg3);Fs4(rg5)...;
    % 7A
    ml;seven;ml2;B4(rg1);B4(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    Bb4(rg3);Bb4(rg5)...;
    % 7B
    ms;B4(rg1);B4(rg2)+...
    E4(rg3);E4(rg4);E4(rg2)+...
    Bb4(rg3);Bb4(rg5)...;
    % 8A
    ml;eight;ml2;D4(rg1);D4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    Cs5(rg3);Cs5(rg5)...;
    % 8B
    ms;D4(rg1);D4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    Cs5(rg3);Cs5(rg5)...;
    % 9A
    ml;nine;ml2;F4(rg1);F4(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    A4(rg3);A4(rg5)...;
    % 9B
    ms;Eb4(rg1);Eb4(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    A4(rg3);A4(rg5)...;
    % 10A
    ml;ten;ml2;F5(rg1);F5(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    B4(rg3);B4(rg5)...;
    % 10B
    ms;Eb5(rg1);Eb5(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    B4(rg3);B4(rg5);ml...
    ];

intro=wavread('ca_intro_tonal_memory_new');
wavwrite([intro; ca_tonal_memory],fs,16,'ca_tonal_memory');


cb_tonal_memory=[...    
    % 1A
    ml;one;ml2;F4(rg1);F4(rg2)+...
    D5(rg3);D5(rg4);D5(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    C5(rg3);C5(rg5)...;
    % 1B
    ms;F4(rg1);F4(rg2)+...
    E5(rg3);E5(rg4);E5(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    C5(rg3);C5(rg5)...;
    % 2A
    ml;two;ml2;Eb4(rg1);Eb4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    D5(rg3);D5(rg5)...;
    % 2B
    ms;Eb4(rg1);Eb4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    E5(rg3);E5(rg5)...;
    % 3A
    ml;three;ml2;Eb4(rg1);Eb4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    Cs5(rg3);Cs5(rg5)...;
    % 3B
    ms;Eb4(rg1);Eb4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    E4(rg3);E4(rg4);E4(rg2)+...
    Cs5(rg3);Cs5(rg5)...;
    % 4A
    ml;four;ml2;B4(rg1);B4(rg2)+...
    E4(rg3);E4(rg4);E4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    Cs4(rg3);Cs4(rg5)...;
    % 4B
    ms;B4(rg1);B4(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    Cs4(rg3);Cs4(rg5)...;
    % 5A
    ml;five;ml2;B4(rg1);B4(rg2)+...
    F5(rg3);F5(rg4);F5(rg2)+...
    Fs5(rg3);Fs5(rg4);Fs5(rg2)+...
    Bb4(rg3);Bb4(rg5)...;
    % 5B
    ms;B4(rg1);B4(rg2)+...
    F5(rg3);F5(rg4);F5(rg2)+...
    Fs5(rg3);Fs5(rg4);Fs5(rg2)+...
    Gs4(rg3);Gs4(rg5)...;
    % 6A
    ml;six;ml2;C5(rg1);C5(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    E5(rg3);E5(rg4);E5(rg2)+...
    D5(rg3);D5(rg5)...;
    % 6B
    ms;Bb4(rg1);Bb4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    E5(rg3);E5(rg4);E5(rg2)+...
    D5(rg3);D5(rg5)...;
    % 7A
    ml;seven;ml2;E5(rg1);E5(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    Cs5(rg3);Cs5(rg5)...;
    % 7B
    ms;E5(rg1);E5(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    Cs5(rg3);Cs5(rg5)...;
    % 8A
    ml;eight;ml2;Eb5(rg1);Eb5(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    Bb4(rg3);Bb4(rg4);Bb4(rg2)+...
    Cs4(rg3);Cs4(rg5)...;
    % 8B
    ms;Eb5(rg1);Eb5(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    Bb4(rg3);Bb4(rg4);Bb4(rg2)+...
    Cs4(rg3);Cs4(rg5)...;
    % 9A
    ml;nine;ml2;Fs5(rg1);Fs5(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    Eb4(rg3);Eb4(rg5)...;
    % 9B
    ms;Fs5(rg1);Fs5(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    F4(rg3);F4(rg5)...;
    % 10A
    ml;ten;ml2;D4(rg1);D4(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    B4(rg3);B4(rg5)...;
    % 10B
    ms;E4(rg1);E4(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    B4(rg3);B4(rg5);ml...
    ];

intro=wavread('cb_intro_new');
wavwrite([intro; cb_tonal_memory],fs,16,'cb_tonal_memory');


cc_tonal_memory=[...    
    % 1A
    ml;one;ml2;Eb4(rg1);Eb4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    D5(rg3);D5(rg4);D5(rg2)+...
    Fs4(rg3);Fs4(rg5);...
    % 1B
    ms;Eb4(rg1);Eb4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    D5(rg3);D5(rg4);D5(rg2)+...
    E4(rg3);E4(rg5);...
    % 2A
    ml;two;ml2;A4(rg1);A4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    D4(rg3);D4(rg4);D4(rg2)+...
    Eb4(rg3);Eb4(rg4);Eb4(rg2)+...
    E4(rg3);E4(rg5);...
    % 2B
    ms;A4(rg1);A4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    D4(rg3);D4(rg4);D4(rg2)+...
    Eb4(rg3);Eb4(rg4);Eb4(rg2)+...
    G4(rg3);G4(rg5);...
    % 3A
    ml;three;ml2;E4(rg1);E4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    Cs4(rg3);Cs4(rg4);Cs4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    Fs4(rg3);Fs4(rg5);...
    % 3B
    ms;E4(rg1);E4(rg2)+...
    Eb4(rg3);Eb4(rg4);Eb4(rg2)+...
    Cs4(rg3);Cs4(rg4);Cs4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    Fs4(rg3);Fs4(rg5);...
    % 4A
    ml;four;ml2;C4(rg1);C4(rg2)+...
    E4(rg3);E4(rg4);E4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    Eb5(rg3);Eb5(rg5);...
    % 4B
    ms;C4(rg1);C4(rg2)+...
    E4(rg3);E4(rg4);E4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    Eb5(rg3);Eb5(rg5);...
    % 5A
    ml;five;ml2;A4(rg1);A4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    Gs4(rg3);Gs4(rg4);Gs4(rg2)+...
    Cs4(rg3);Cs4(rg4);Cs4(rg2)+...
    Eb4(rg3);Eb4(rg5);...
    % 5B
    ms;A4(rg1);A4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    Fs4(rg3);Fs4(rg4);Fs4(rg2)+...
    Cs4(rg3);Cs4(rg4);Cs4(rg2)+...
    Eb4(rg3);Eb4(rg5);...
    % 6A
    ml;six;ml2;D4(rg1);D4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    Fs5(rg3);Fs5(rg4);Fs5(rg2)+...
    Eb5(rg3);Eb5(rg5);...
    % 6B
    ms;D4(rg1);D4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    Fs5(rg3);Fs5(rg4);Fs5(rg2)+...
    Eb5(rg3);Eb5(rg5);...
    % 7A
    ml;seven;ml2;Bb4(rg1);Bb4(rg2)+...
    F5(rg3);F5(rg4);F5(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    G4(rg3);G4(rg5);...
    % 7B
    ms;Bb4(rg1);Bb4(rg2)+...
    F5(rg3);F5(rg4);F5(rg2)+...
    Eb5(rg3);Eb5(rg4);Eb5(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    G4(rg3);G4(rg5);...
    % 8A
    ml;eight;ml2;G4(rg1);G4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    E5(rg3);E5(rg4);E5(rg2)+...
    C5(rg3);C5(rg4);C5(rg2)+...
    Fs5(rg3);Fs5(rg5);...
    % 8B
    ms;G4(rg1);G4(rg2)+...
    B4(rg3);B4(rg4);B4(rg2)+...
    E5(rg3);E5(rg4);E5(rg2)+...
    Bb4(rg3);Bb4(rg4);Bb4(rg2)+...
    Fs5(rg3);Fs5(rg5);...
    % 9A
    ml;nine;ml2;Bb4(rg1);Bb4(rg2)+...
    Eb5(rg3);Eb5(rg4);Eb5(rg2)+...
    F5(rg3);F5(rg4);F5(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    D5(rg3);D5(rg5);...
    % 9B
    ms;C5(rg1);C5(rg2)+...
    Eb5(rg3);Eb5(rg4);Eb5(rg2)+...
    F5(rg3);F5(rg4);F5(rg2)+...
    Cs5(rg3);Cs5(rg4);Cs5(rg2)+...
    D5(rg3);D5(rg5);...
    % 10A
    ml;ten;ml2;Cs4(rg1);Cs4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    C5(rg3);C5(rg5);...
    % 10B
    ms;Eb4(rg1);Eb4(rg2)+...
    F4(rg3);F4(rg4);F4(rg2)+...
    G4(rg3);G4(rg4);G4(rg2)+...
    A4(rg3);A4(rg4);A4(rg2)+...
    C5(rg3);C5(rg5);ml...
    ];

intro=wavread('cc_intro_new');
wavwrite([intro; cc_tonal_memory],fs,16,'cc_tonal_memory');





